Alembic Version 1.1

Classes | Namespaces | Macros | Functions
ErrorHandler.h File Reference
`#include <Alembic/Util/Export.h>`
`#include <Alembic/Abc/Foundation.h>`
Include dependency graph for ErrorHandler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler
class | Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::Context

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::Abc
namespace | Alembic::Abc::ALEMBIC_VERSION_NS

## Macros
#define | ALEMBIC_ABC_SAFE_CALL_BEGIN(CONTEXT)
#define | ALEMBIC_ABC_SAFE_CALL_END_RESET()
#define | ALEMBIC_ABC_SAFE_CALL_END()

## Functions
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ArchiveWriterPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ObjectWriterPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::CompoundPropertyWriterPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ScalarPropertyWriterPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ArrayPropertyWriterPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ArchiveReaderPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ObjectReaderPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::CompoundPropertyReaderPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ScalarPropertyReaderPtr)
ErrorHandler::Policy | Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy (AbcA::ArrayPropertyReaderPtr)

## Macro Definition Documentation

## ◆ ALEMBIC_ABC_SAFE_CALL_BEGIN

#define ALEMBIC_ABC_SAFE_CALL_BEGIN | ( |  | CONTEXT | ) |

Value:
do \
{ \
::Alembic::Abc::ErrorHandler::Context \
__err( this->getErrorHandler(), ( CONTEXT ) ); \
try \
{

Definition at line 172 of file ErrorHandler.h.

## ◆ ALEMBIC_ABC_SAFE_CALL_END

#define ALEMBIC_ABC_SAFE_CALL_END | ( |  | ) |

Value:
} \
catch ( std::exception &exc ) \
{ \
__err( exc ); \
} \
catch ( ... ) \
{ \
__err( ::Alembic::Abc:: \
ErrorHandler::kUnknownException ); \
} \
} \
while( 0 )

Definition at line 198 of file ErrorHandler.h.

## ◆ ALEMBIC_ABC_SAFE_CALL_END_RESET

#define ALEMBIC_ABC_SAFE_CALL_END_RESET | ( |  | ) |

Value:
} \
catch ( std::exception &exc ) \
{ \
this->reset(); \
__err( exc ); \
} \
catch ( ... ) \
{ \
this->reset(); \
__err( ::Alembic::Abc:: \
ErrorHandler::kUnknownException ); \
} \
} \
while( 0 )

Definition at line 181 of file ErrorHandler.h.